
Ruby - Bug #10311

Segmentation fault when starting rails server (2.2.0-preview1 & 4.2.0-beta2)

10/01/2014 04:14 PM - gazay (Alex Gaziev)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 2.2.0preview1 (2014-09-17 trunk

47616) [x86_64-darwin13]

Backport: 2.0.0: UNKNOWN, 2.1: UNKNOWN

Description

I've just installed ruby 2.2.0-preview1 with ruby-install (I'm not using rvm/rbenv, just ruby-install and chruby) and rails 4.2.0-beta2.

I've created new project, ran bundle install and then tried to execute bundle exec rails server.

Error log in attachment.

History

#1 - 10/01/2014 04:34 PM - gazay (Alex Gaziev)

- File trace2.txt added

upd.

I also tried new rails project with postgresql database and I got seg. fault with byebug now.

After removing byebug I have seg. fault with web console.

After removing web console it finally started.

Both error logs in attachment.

#2 - 10/03/2014 04:54 PM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Feedback

All extension libraries were installed after 2.2.0-preview1?

Could you attach DiagnosticReports files?

#3 - 07/22/2019 09:55 PM - jeremyevans0 (Jeremy Evans)

- Status changed from Feedback to Closed

Files

trace.txt 67.4 KB 10/01/2014 gazay (Alex Gaziev)

trace2.txt 167 KB 10/01/2014 gazay (Alex Gaziev)
